<?xml version="1.0" encoding="utf-8"?>

<install type="module" version="1.5.0">

  <name>Frontpage SlideShow</name>

  <author>JoomlaWorks</author>

  <creationDate>27/02/2008</creationDate>

  <copyright>Copyright (c) 2006 - 2008 JoomlaWorks - This code cannot be redistributed without permission from www.joomlaworks.gr</copyright>

  <authorEmail>info@joomlaworks.gr</authorEmail>

  <authorUrl>http://www.joomlaworks.gr</authorUrl>

  <version>1.7.1</version>

  <description>FPSS_DESCRIPTION</description>

  <params>

    <param name="moduleclass_sfx" type="text" default="" label="Module Class Suffix" description="A suffix to be applied to the css class of the module (table.moduletable), this allows individual module styling" />

    <param name="@spacer" type="spacer" default="" label="" description="" />

    <param name="@spacer" type="spacer" default="======== Slideshow Engine ========" label="" description="" />

    <param name="engine" type="radio" default="jquery" label="Choose Slideshow Engine?" description="Choose appropriately to avoid any javascript issues with other extensions or even your template!">

      <option value="jquery">jQuery based</option>

      <option value="mootools">Mootools based</option>

    </param>

    <param name="disablelib" type="radio" default="0" label="Disable core library?" description="If you are using other scripts on your site which already include either Mootools or jQuery, you might consider setting this option to 'yes', in case you are faced with javascript conflicts. This option will not work if you choose the 'Compress JS code using PHP' option below.">

      <option value="0">No</option>

      <option value="1">Yes</option>

    </param>

    <param name="optimizejs" type="radio" default="0" label="Compress JS code using PHP?" description="Improve your site's performance by enabling this feature. PHP compresses JS code and minimizes page load times. This includes both the core JS library and the slideshow engine. Please note that some servers may not support this feature.">

      <option value="0">No</option>

      <option value="1">Yes</option>

    </param>

    <param name="@spacer" type="spacer" default="" label="" description="" />

    <param name="@spacer" type="spacer" default="======== Slideshow Parameters ========" label="" description="" />

    <param name="fpss_template" type="folderlist" directory="/modules/mod_fpslideshow/mod_fpslideshow/templates" filter="." default="Default" hide_default="1" hide_none="1" label="Template" description="Choose the output template of the module. Default includes numbers as navigation buttons, TT uses thumbnails of the main images as navigation buttons. More coming soon!" />

    <param name="width" type="text" default="480" label="Slideshow Width" description="width" />

    <param name="height" type="text" default="280" label="Slideshow Height" description="height" />

    <param name="sidebar_width" type="text" default="200" label="Sidebar Width (applies to certain FPSS templates only)" description="Width of the sidebar in pixels. Concerns the 'Uncut', 'FSD', 'Movies' and 'Sleek' templates by default. This width will be added to the overall width of the slideshow or otherwise." />

    <param name="hide_nav" type="radio" default="0" label="Hide navigation bar?" description="Choose if you want to show or hide the navigation bar at the bottom of the slideshow.">

      <option value="0">No</option>

      <option value="1">Yes</option>

    </param>

    <param name="delay" type="text" default="6000" label="Slide Delay" description="Pause between slides in ms." />

    <param name="speed" type="text" default="1000" label="Slideshow Speed" description="Slide transition time in ms." />

    <param name="random" type="radio" default="0" label="Display slides randomly?" description="Random display of the slides.">

      <option value="0">No</option>

      <option value="1">Yes</option>

    </param>

    <param name="limitslides" type="text" default="" label="Limit slides being displayed to..." description="This option can be very useful if you have for example 30 slides on your slideshow but only want to show 10 at a time. You input '10' in this case and only 10 slides will appear. If you combine this option with the 'random' feature right above, you'll get a smart display feature for your slideshow. By default this option is empty to enable display of all slides." />

    <param name="mtCTRrotateAction" type="radio" default="click" label="Slides should switch on..." description="Adds a nice transition for text when switching between slides.">

      <option value="click">mouse click</option>

      <option value="mouseover">mouse over</option>

    </param>

    <param name="@spacer" type="spacer" default="" label="" description="" />

    <param name="@spacer" type="spacer" default="======== Mootools Slideshow Engine Parameters ========" label="" description="" />

    <param name="mtCTRloadingTime" type="text" default="500" label="Preloader image delay time" description="Time in milliseconds. 1000 is 1 second." />

    <param name="mtCTRtext_effect" type="radio" default="0" label="Use text transition effect?" description="Adds a nice transition for text when switching between slides.">

      <option value="0">No</option>

      <option value="1">Yes</option>

    </param>

    <param name="mtCTRtransitionText" type="text" default="1000" label="Text transition effect time" description="Applies only if you've selected 'Yes' to the above option. Time in milliseconds. 1000 is 1 second." />

    <param name="@spacer" type="spacer" default="" label="" description="" />

    <param name="@spacer" type="spacer" default="======== Content Parameters ========" label="" description="" />

    <param name="seperator" type="text" default=">>" label="Section/Category Separator" description="Section/Category Separator" />

    <param name="words" type="text" default="" label="Word limit" description="Word limit" />

    <param name="chars" type="text" default="" label="Character limit" description="Character limit" />

    <param name="striptags" type="radio" default="0" label="Cleanup HTML tags from text?" description="If you choose 'Yes' then all HTML tags will be stripped from the main text of your slide, except the tags specified in the mod_fpslideshow.php file.">

      <option value="0">No</option>

      <option value="1">Yes</option>

    </param>

  </params>

  <files>

    <filename module="mod_fpslideshow">mod_fpslideshow.php</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/fpss.net.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/engines/jquery-comp.js</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/engines/jquery-fpss-comp.js</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/engines/jquery-fpss.php</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/engines/mootools-comp.js</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/engines/mootools-fpss-comp.js</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/engines/mootools-fpss.php</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Default/corner.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Default/corner.psd</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Default/loading.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Default/nav-bg.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Default/readmore-hover.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Default/readmore.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Default/template_css.php</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Default/template_css_ie.css</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Default/transparent_bg.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/FSD/loading.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/FSD/readmore.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/FSD/readmore_ie.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/FSD/template_css.php</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/FSD/template_css_ie.css</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/JJ-Obs/loading.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/JJ-Obs/navbar.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/JJ-Obs/next.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/JJ-Obs/prev.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/JJ-Obs/template_css.php</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/JJ-Obs/template_css_ie.css</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/JJ-Obs/transparent_bg.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/JJ-Rasper/loading_black.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/JJ-Rasper/nav-left-ie.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/JJ-Rasper/nav-left.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/JJ-Rasper/nav-right-ie.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/JJ-Rasper/nav-right.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/JJ-Rasper/template_css.php</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/JJ-Rasper/template_css_ie.css</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/JJ-Rasper/transparent_bg.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Movies/dotted.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Movies/loading_black.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Movies/nav-active.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Movies/nav.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Movies/readmore-hover.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Movies/readmore.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Movies/template_css.php</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Movies/template_css_ie.css</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Movies/transparent_bg.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Sleek/loading_black.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Sleek/nav-current.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Sleek/nav-next.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Sleek/nav-prev.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Sleek/nav.psd</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Sleek/template_css.php</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Sleek/template_css_ie.css</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Sleek/transparent_bg.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/TT/black_stripes.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/TT/loading.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/TT/template_css.php</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/TT/template_css_ie.css</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/TT/transparent_bg.png</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Uncut/loading_black.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Uncut/nav-over.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Uncut/nav.gif</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Uncut/template_css.php</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Uncut/template_css_ie.css</filename>

    <filename module="mod_fpslideshow">mod_fpslideshow/templates/Uncut/transparent_bg.png</filename>

  </files>

  <languages>

    <language tag="en-GB">language/en-GB/en-GB.mod_fpslideshow.ini</language>

  </languages>

</install>

